org.apache.hadoop.yarn.api.protocolrecords

## Class GetApplicationAttemptsResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetApplicationAttemptsResponse
      extends Object

  The response sent by the `ResourceManager` to a client requesting a list of `ApplicationAttemptReport` for application attempts.

  The `ApplicationAttemptReport` for each application includes the details of an application attempt.

  See Also:
    `ApplicationAttemptReport`, `ApplicationBaseProtocol.getApplicationAttempts(GetApplicationAttemptsRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetApplicationAttemptsResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<ApplicationAttemptReport>` | `getApplicationAttemptList()` Get a list of `ApplicationReport` of an application.
    `static GetApplicationAttemptsResponse` | `newInstance(List<ApplicationAttemptReport> applicationAttempts)`
    `abstract void` | `setApplicationAttemptList(List<ApplicationAttemptReport> applicationAttempts)` Get a list of `ApplicationReport` of an application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetApplicationAttemptsResponse

          public GetApplicationAttemptsResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static GetApplicationAttemptsResponse newInstance(List<ApplicationAttemptReport> applicationAttempts)

    - #### getApplicationAttemptList

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<ApplicationAttemptReport> getApplicationAttemptList()

      Get a list of `ApplicationReport` of an application.
      Returns:
        a list of `ApplicationReport` of an application

    - #### setApplicationAttemptList

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setApplicationAttemptList(List<ApplicationAttemptReport> applicationAttempts)

      Get a list of `ApplicationReport` of an application.
      Parameters:
        `applicationAttempts` - a list of `ApplicationReport` of an application

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.